<div class="recipeAdd">
    <h1 class="p-my-3">Create New Recipe</h1>
    <div class="p-d-flex p-ai-center p-mb-3">
        <h3 class="p-mr-4">Category: </h3>
        <p-dropdown [options]="categories" [(ngModel)]="selectedCategory" optionLabel="name"></p-dropdown>
    </div>
    <div class="p-d-flex p-ai-center p-mb-3">
        <h3 class="p-mr-4">Meal Type: </h3>
        <p-dropdown [options]="meals" [(ngModel)]="selectedMeal" optionLabel="name"></p-dropdown>
    </div>
    <div class="p-d-flex p-ai-center p-mb-3">
        <h3 class="p-mr-4">Recipe Name: </h3>
        <input type="text" pInputText />
    </div>
    <div class="p-mb-3">
        <h3 class="p-mb-3">Recipe Description: </h3>
        <span class="p-float-label">
            <textarea id="float-input" rows="5" cols="45" pInputTextarea></textarea>
            <label for="float-input">Write description here</label>
        </span>
    </div>
    <p-button label="Add"></p-button>
</div>